summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Schmaus <flow@gentoo.org>2024-04-04 14:45:04 +0200
committerFlorian Schmaus <flow@gentoo.org>2024-04-04 15:02:41 +0200
commite4ac872fc8dc3e3c86431ee40acbffc7222e3959 (patch)
tree4d4bf08529c9e802571ab664ba5834fa00408d2a
parentdev-texlive/texlive-binextra: sync with ::gentoo (diff)
downloadtex-overlay-e4ac872fc8dc3e3c86431ee40acbffc7222e3959.tar.gz
tex-overlay-e4ac872fc8dc3e3c86431ee40acbffc7222e3959.tar.bz2
tex-overlay-e4ac872fc8dc3e3c86431ee40acbffc7222e3959.zip
texlive-common.eclass: efmtutil-sys: use ebegin/eend and log output
Use ebegin/eend and instead of redirecting the output to /dev/null capture stdout and stderr under a file under $T. Signed-off-by: Florian Schmaus <flow@gentoo.org>
-rw-r--r--eclass/texlive-common.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/texlive-common.eclass b/eclass/texlive-common.eclass
index 66d3999..0cc61f7 100644
--- a/eclass/texlive-common.eclass
+++ b/eclass/texlive-common.eclass
@@ -199,9 +199,11 @@ etexmf-update() {
efmtutil-sys() {
if has_version 'app-text/texlive-core' ; then
if [[ -z ${ROOT} && -x "${EPREFIX}"/usr/bin/fmtutil-sys ]] ; then
- einfo "Rebuilding formats"
- "${EPREFIX}"/usr/bin/fmtutil-sys --all &> /dev/null ||
- die -n "fmtutil-sys returned non-zero exit status ${?}"
+ ebegin "Rebuilding TexLive formats"
+ "${EPREFIX}"/usr/bin/fmtutil-sys --all \
+ > "${T}"/fmutil-sys-all.log \
+ &> "${T}"/fmutil-sys-all.err.log
+ eend $? || die -n "fmtutil-sys returned non-zero exit status ${?}"
else
ewarn "Cannot run fmtutil-sys for some reason."
ewarn "Your formats might be inconsistent with your installed ${PN} version"